<?php
/**
* @package		Joomla
* @subpackage	mod_mortgagecalc
* @copyright	Copyright (C) 2008 E-NOISE.COM LIMITED. All rights reserved.
* @license		GNU/GPL.
* @author 		Luis Montero [e-noise.com]
* @version 		1.5.3
* Joomla! and mod_mortgagecalc are free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed they include or
* are derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class modMortgageCalcHelper {
	function printJS()	{
		?>
<script type="text/javascript" language="javascript">
function calculate_loan_amount() {
	var form = document.mortgage_calc_form;
	
	form.loan.value = (form.total_property_value.value - form.deposit.value); 
}


function calculate_mortgage() {
	var form = document.mortgage_calc_form;
	
	// do field validation
	if (form.loan.value == ""){
		alert( "<?php echo _MORTGAGECALC_LOAN_AMOUNT_REQUIRED; ?>" );
	} else if (form.duration.value == ""){
		alert( "<?php echo _MORTGAGECALC_DURATION_REQUIRED; ?>" );
	} else if (form.interest_rate.value == ""){
		alert( "<?php echo _MORTGAGECALC_INTEREST_RATE_REQUIRED; ?>" );
	} else {
		var loan = form.loan.value;
		loan = loan.replace(",",""); // Remove commas
		
		//Round instead of replace decimal
		//loan = loan.replace(".","");    // Remove preiods
        loan = Math.round(loan);

		form.loan.value = loan; // refresh loan amount in form without commas or periods
		
		if (form.duration_units.value == 1) { // Duration in years
			var duration = (form.duration.value*12); // in months
		}
		else { // Duration in months
			var duration = form.duration.value; // in months
		}
		
		var interest_rate = form.interest_rate.value.replace(",","."); // Replace comma with period
		form.interest_rate.value = interest_rate; // refresh duration in form without commas
		interest_rate = (interest_rate); // monthly
		
		
		 duration = Math.round(duration)
		
		var quote = (((duration + 1 ) / 2 ) * interest_rate / 100 + 1) * loan / duration ;
		
		/**
		interest_rate = (interest_rate/12); // monthly
		var quote = (((duration + 1 ) / 2 ) * interest_rate / 100 + 1) * loan / duration ;
		*/
		
		
		
		if (quote.toFixed) { //if browser supports toFixed() method
			quote = quote.toFixed(2);
		}
		
		form.quote.value = quote; // monthly
		
		// Calculate total to be repaid
		var total = (quote * duration);
		form.total.value = total; // total
	}
}


var mortgage_calc_popUpWin=0;
function mortgage_calc_popUpWindow(URLStr, left, top, width, height) {
  if(mortgage_calc_popUpWin) {
    if(!mortgage_calc_popUpWin.closed) mortgage_calc_popUpWin.close();
  }
  mortgage_calc_popUpWin = open(URLStr, 'mortgage_calc_popUpWin', 'toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,copyhistory=yes,width='+width+',height='+height+',left='+left+', top='+top+',screenX='+left+',screenY='+top+'');
}
</script>

	<?php	
	}
}
?>