<?php
/**
* @package		Joomla
* @subpackage	mod_mortgagecalc
* @copyright	Copyright (C) 2008 E-NOISE.COM LIMITED. All rights reserved.
* @license		GNU/GPL.
* @author 		Luis Montero [e-noise.com]
* @version 		1.5.3
* Joomla! and mod_mortgagecalc are free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed they include or
* are derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// Retreive parameters
//$moduleclass_sfx = $params->get( 'moduleclass_sfx', '_menu' );
$show_deposit = $params->get( 'show_deposit', 1 );
$duration_units = $params->get( 'duration_units', 1 );
$interest_rate = $params->get( 'interest_rate', '3.5' );
$currency = $params->get( 'currency', 'EUR' );
$interest_rate_editable = $params->get( 'interest_rate_editable', '0' );
$lang = $params->get( 'lang', 0 );
$show_help = $params->get( 'show_help', 1 );
$show_total = $params->get( 'show_total', 1 );


// Load language file
if (file_exists( JPATH_SITE . '/modules/mod_mortgagecalc/language/' . $lang . '.php' )) {
  require( JPATH_SITE . '/modules/mod_mortgagecalc/language/' . $lang . '.php' );
}
else {
  require( JPATH_SITE . '/modules/mod_mortgagecalc/language/en-GB.php' );
}


// Include the Javascript functions only once
require_once (dirname(__FILE__).DS.'helper.php');
modMortgageCalcHelper::printJS();

$layout = $params->get('layout', 'vert');
$layout = JFilterInput::clean($layout, 'word');
$path = JModuleHelper::getLayoutPath('mod_mortgagecalc', $layout);
if (file_exists($path)) {
	require($path);
}
?>